version: '3'

services:

  postgres:
    image: postgis/postgis:14-3.2-alpine
    restart: always
    env_file:
      - dingsda2mex.env
    volumes:
      - ./data_pg/:/var/lib/postgresql/data
    ports: #strictly not needed unless we want to connect to it from the outside
       - 5432:5432
    expose: [5432]

  dingsda2mex:
    depends_on:
      - db
    build: ./
    restart: always
    environment:
      - PGHOST=postgres
      - PG_PASSWORD=test
      - PG_DATABASE=dingsda2mex
    env_file:
      - dingsda2mex.env
    volumes:
      - ./data_dd2m/:/usr/src/app/data/
    ports:
      - "8080:8080"
    expose: [8080]
